|  | Home | Documentation | wst__RequestSecurityTokenResponseType Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
wst__RequestSecurityTokenResponseType Struct Reference

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":RequestSecurityTokenResponseType is a complexType. More...

`#include <wst.h>`

Collaboration diagram for wst__RequestSecurityTokenResponseType:
[legend]

## Public Attributes

char * | Context
struct wst__RequestedSecurityTokenType * | RequestedSecurityToken
struct wst__RequestedReferenceType * | RequestedAttachedReference
| Member declared in WS/WS-typemap.dat.
struct wst__RequestedReferenceType * | RequestedUnattachedReference
| Member declared in WS/WS-typemap.dat.
struct wst__RequestedProofTokenType * | RequestedProofToken
| Member declared in WS/WS-typemap.dat.
struct wst__RequestedTokenCancelledType * | RequestedTokenCancelled
| Member declared in WS/WS-typemap.dat.
char * | KeyType
| Member declared in WS/WS-typemap.dat.
char * | RequestType
| Member declared in WS/WS-typemap.dat.
char * | TokenType
| Member declared in WS/WS-typemap.dat.
wst__EntropyType * | Entropy
| Member declared in WS/WS-typemap.dat.
struct wst__LifetimeType * | Lifetime
| Member declared in WS/WS-typemap.dat.
unsigned int * | KeySize
| Member declared in WS/WS-typemap.dat.
struct wst__BinaryExchangeType * | BinaryExchange
| Member declared in WS/WS-typemap.dat.
struct wst__AuthenticatorType * | Authenticator
| Member declared in WS/WS-typemap.dat.

## Detailed Description

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":RequestSecurityTokenResponseType is a complexType.

      Actual content model is non-deterministic, hence wildcard. The following shows intended content model:
      <xs:element ref='wst:TokenType' minOccurs='0' />
      <xs:element ref='wst:RequestType' />
      <xs:element ref='wst:RequestedSecurityToken' minOccurs='0' />
      <xs:element ref='wsp:AppliesTo' minOccurs='0' />
      <xs:element ref='wst:RequestedAttachedReference' minOccurs='0' />
      <xs:element ref='wst:RequestedUnattachedReference' minOccurs='0' />
      <xs:element ref='wst:RequestedProofToken' minOccurs='0' />
      <xs:element ref='wst:Entropy' minOccurs='0' />
      <xs:element ref='wst:Lifetime' minOccurs='0' />
      <xs:element ref='wst:Status' minOccurs='0' />
      <xs:element ref='wst:AllowPostdating' minOccurs='0' />
      <xs:element ref='wst:Renewing' minOccurs='0' />
      <xs:element ref='wst:OnBehalfOf' minOccurs='0' />
      <xs:element ref='wst:Issuer' minOccurs='0' />
      <xs:element ref='wst:AuthenticationType' minOccurs='0' />
      <xs:element ref='wst:Authenticator' minOccurs='0' />
      <xs:element ref='wst:KeyType' minOccurs='0' />
      <xs:element ref='wst:KeySize' minOccurs='0' />
      <xs:element ref='wst:SignatureAlgorithm' minOccurs='0' />
      <xs:element ref='wst:Encryption' minOccurs='0' />
      <xs:element ref='wst:EncryptionAlgorithm' minOccurs='0' />
      <xs:element ref='wst:CanonicalizationAlgorithm' minOccurs='0' />
      <xs:element ref='wst:ProofEncryption' minOccurs='0' />
      <xs:element ref='wst:UseKey' minOccurs='0' />
      <xs:element ref='wst:SignWith' minOccurs='0' />
      <xs:element ref='wst:EncryptWith' minOccurs='0' />
      <xs:element ref='wst:DelegateTo' minOccurs='0' />
      <xs:element ref='wst:Forwardable' minOccurs='0' />
      <xs:element ref='wst:Delegatable' minOccurs='0' />
      <xs:element ref='wsp:Policy' minOccurs='0' />
      <xs:element ref='wsp:PolicyReference' minOccurs='0' />
      <xs:any namespace='##other' processContents='lax' minOccurs='0' maxOccurs='unbounded' />

struct wst__RequestSecurityTokenResponseType operations:

- wst__RequestSecurityTokenResponseType* soap_new_wst__RequestSecurityTokenResponseType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_wst__RequestSecurityTokenResponseType(struct soap*, wst__RequestSecurityTokenResponseType*) default initialize members
- int soap_read_wst__RequestSecurityTokenResponseType(struct soap*, wst__RequestSecurityTokenResponseType*) deserialize from a source
- int soap_write_wst__RequestSecurityTokenResponseType(struct soap*, wst__RequestSecurityTokenResponseType*) serialize to a sink
- wst__RequestSecurityTokenResponseType* soap_dup_wst__RequestSecurityTokenResponseType(struct soap*, wst__RequestSecurityTokenResponseType* dst, wst__RequestSecurityTokenResponseType <em>src) returns deep copy of wst__RequestSecurityTokenResponseType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wst__RequestSecurityTokenResponseType(wst__RequestSecurityTokenResponseType

) deep deletes wst__RequestSecurityTokenResponseType data members, use only on dst after soap_dup_wst__RequestSecurityTokenResponseType(NULL, wst__RequestSecurityTokenResponseType *dst, wst__RequestSecurityTokenResponseType *src) (use soapcpp2 -Ed)

## Member Data Documentation

## ◆ Authenticator

struct wst__AuthenticatorType* wst__RequestSecurityTokenResponseType::Authenticator

Member declared in WS/WS-typemap.dat.

## ◆ BinaryExchange

struct wst__BinaryExchangeType* wst__RequestSecurityTokenResponseType::BinaryExchange

Member declared in WS/WS-typemap.dat.

## ◆ Context

char* wst__RequestSecurityTokenResponseType::Context

Todo

  <any namespace="##any" minOccurs="0" maxOccurs="unbounded">

  Schema extensibility is user-definable. Consult the protocol documentation to change or insert declarations. Use wsdl2h option -x to remove this element. Use wsdl2h option -d for xsd__anyType DOM (soap_dom_element): wsdl2h maps xsd:any to xsd__anyType, use typemap.dat to remap. Attribute "Context" of XSD type xs:anyURI.

Optional attribute.

## ◆ Entropy

wst__EntropyType* wst__RequestSecurityTokenResponseType::Entropy

Member declared in WS/WS-typemap.dat.

## ◆ KeySize

unsigned int* wst__RequestSecurityTokenResponseType::KeySize

Member declared in WS/WS-typemap.dat.

## ◆ KeyType

char* wst__RequestSecurityTokenResponseType::KeyType

Member declared in WS/WS-typemap.dat.

## ◆ Lifetime

struct wst__LifetimeType* wst__RequestSecurityTokenResponseType::Lifetime

Member declared in WS/WS-typemap.dat.

## ◆ RequestedAttachedReference

struct wst__RequestedReferenceType* wst__RequestSecurityTokenResponseType::RequestedAttachedReference

Member declared in WS/WS-typemap.dat.

## ◆ RequestedProofToken

struct wst__RequestedProofTokenType* wst__RequestSecurityTokenResponseType::RequestedProofToken

Member declared in WS/WS-typemap.dat.

## ◆ RequestedSecurityToken

struct wst__RequestedSecurityTokenType* wst__RequestSecurityTokenResponseType::RequestedSecurityToken

Todo

  <anyAttribute namespace="##other">.

  Schema extensibility is user-definable. Consult the protocol documentation to change or insert declarations. Use wsdl2h option -x to remove this attribute. Use wsdl2h option -d for xsd__anyAttribute DOM (soap_dom_attribute). Member declared in WS/WS-typemap.dat

## ◆ RequestedTokenCancelled

struct wst__RequestedTokenCancelledType* wst__RequestSecurityTokenResponseType::RequestedTokenCancelled

Member declared in WS/WS-typemap.dat.

## ◆ RequestedUnattachedReference

struct wst__RequestedReferenceType* wst__RequestSecurityTokenResponseType::RequestedUnattachedReference

Member declared in WS/WS-typemap.dat.

## ◆ RequestType

char* wst__RequestSecurityTokenResponseType::RequestType

Member declared in WS/WS-typemap.dat.

## ◆ TokenType

char* wst__RequestSecurityTokenResponseType::TokenType

Member declared in WS/WS-typemap.dat.

The documentation for this struct was generated from the following file:

- wst.h